com.r3corda.protocols / NotaryProtocol / Client / <init>

# <init>

`Client(wtx: WireTransaction, progressTracker: ProgressTracker = Client.tracker())`

A protocol to be used for obtaining a signature from a NotaryService ascertaining the transaction timestamp is correct and none of its inputs have been used in another completed transaction

### Exceptions

`NotaryException` - in case the any of the inputs to the transaction have been consumed by another transaction or the timestamp is invalid